Ask Your Question
2

Force akmod to stick to 390.X NVidia drivers

asked 2018-08-01 03:44:44 -0500

marcinek gravatar image

Hi,

I used to have akmod-nvidia package building 390.X driver. Now, after an update, It builds 396, which does not support my card (an old Quadro 600). There is a package named akmod-nvidia-340xx for 340 driver, but pure akmod-nvidia builds only latest, 396. Is there a way to force akmod to use a "middle", 390 version? Or maybe, there should be a package kmod-nvidia-390xx ?

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2018-08-02 13:21:54 -0500

steveebey73742 gravatar image

Remove the akmod or other rpm based drivers. install the proprietary from here, pick the version you want to run. Perform the install answering yes to dkms. You may need to refer to other answers I have posted, to get all the details, but I can state, without fear of contradiction, that dkms will update the kernel, by building a new module from the installed nvidia driver, and NOT update to a new version, unless you manually install the new version. So, in short, when kernels are updated, you will still have the same version driver, across all the installed kernels on your system, from this point going forward, and not have to make package exclusions when you run update. If you need more information, then comment, and I will try to help.

edit flag offensive delete link more
0

answered 2018-08-01 05:53:46 -0500

hhlp gravatar image

updated 2018-08-01 06:14:50 -0500

  1. you should downgrade your update package to previous version or undo your previous update you can do this with sudo dnf history list one you get the ID transaction sudo dnf history undo [ID] or sudo dnf downgrade [package-name]

  2. you should block your package to prevent future update :

how-do-i-make-the-software-updater-skipexclude-some-packages

Regards.,

edit flag offensive delete link more

Comments

Will this still rebuild the driver each time the kernel updates? Why shouldn't another 390.x package be implemented?

Utahcon gravatar imageUtahcon ( 2018-08-01 20:03:50 -0500 )edit

short answer , yes

hhlp gravatar imagehhlp ( 2018-08-02 02:35:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-08-01 03:44:44 -0500

Seen: 213 times

Last updated: Aug 02